RISTRECEIVER(1)

NAME
ristreceiver - receive a stream via RIST

SYNOPSIS
ristreceiver [OPTIONS]

DESCRIPTION
Reliable Internet Stream Transport (RIST) is a transport protocol designed for reliable transmission of video over lossy networks (including the Internet) with low latency and high quality.

ristreceiver receives a RIST stream and relays the contents to an UDP or RTP stream.

  Where OPTIONS are:

-i | --inputurl rist://...
    Mandatory Option: Comma separated list of input rist URLs

-o | --outputurl udp://... or rtp://...
    Mandatory Option: Comma separated list of output udp or rtp URLs. Use tun://@ to write udp data to a tun device defined using the -t option.

-b | --buffer value
    Default buffer size for packet retransmissions

-s | --secret PWD
    Default pre-shared encryption secret

-e | --encryption-type TYPE
    Default Encryption type (0, 128 = AES-128, 256 = AES-256)

-p | --profile number
    Rist profile (0 = simple, 1 = main, 2 = advanced)

-S | --statsinterval value (ms)
    Interval at which stats get printed, 0 to disable

-c | --config name.yaml
    YAML config file

-v | --verbose-level value
    To disable logging: -1, log levels match syslog levels

-r | --remote-logging IP:PORT
    Send logs and stats to this IP:PORT using udp messages

-F | --srpfile filepath
    When in listening mode, use this file to hold the list of usernames and passwords to validate against. Use the ristsrppasswd tool to create the line entries.

-t | --tun name
    Create a tun device and use it for data communications

-m | --tun-mode number
    Data management on the tun interface: 0 = all tun data is accepted into or out of oob channel, 1 = only non udp data is accepted (default), 2 = no data goes into or out of oob channel.

-M | --enable-metrics
    Enable OpenMetrics/Prometheus compatible metrics

--metrics-tags
    Additional tags to add to the metrics

--metrics-multipoint
    Metrics return multiple timestamped data points

--metrics-nocreated
    Metrics skip the created metric for Prometheus compat

--metrics-http
    Start HTTP Server to expose metrics on defaults to http://0.0.0.0:9100/metrics

--metrics-port
    Port for metrics HTTP server to listen on

--metrics-ip
    IP for metrics HTTP server to listen on

--metrics-unix
    Unix socket to expose metrics on

-f | --noflow-timeout-exit value (ms)
    Exit on no flow after Timeout

-h | --help
    Show this help

-u | --help-url
    Show all the possible url options

Default values:

--profile 1

--statsinterval 1000

--verbose-level 6

SEE ALSO
ristsender(1), ristsrppasswd(1), https://code.videolan.org/rist/librist/-/wikis/LibRIST%20Documentation

AUTHOR

This manual page was written by Florian Ernst <florian@debian.org>, for the Debian project (and may be used by others).